> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Profile Transaction Products

> A `GET` to the `/profiles/{profile}/transaction-products` endpoint allows your application to retrieve profile transaction products.



## OpenAPI

````yaml get /v3/profiles/{profile}/transaction-products
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profiles/{profile}/transaction-products:
    get:
      tags:
        - Profile Transaction
      summary: Browse Profile Transaction Products
      description: >-
        A `GET` to the `/profiles/{profile}/transaction-products` endpoint
        allows your application to retrieve profile transaction products.
      operationId: profileTransaction.getProducts
      parameters:
        - name: profile
          in: path
          required: true
          description: The profile ID
          schema:
            type: string
            format: uuid
        - name: page[size]
          in: query
          schema:
            type: string
        - name: filter
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Array of `TransactionProductVariant`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/TransactionProductVariant'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          description: An error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error overview.
                required:
                  - message
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: string
components:
  schemas:
    TransactionProductVariant:
      type: object
      properties:
        id:
          type: string
        count:
          type: string
        refund_qty:
          type: string
        purchase_qty:
          type: string
        latest_transacted_at:
          type: string
        product_id:
          type: string
        product:
          anyOf:
            - type: object
              properties:
                refund_qty:
                  type: string
                purchase_qty:
                  type: string
              required:
                - refund_qty
                - purchase_qty
            - type: array
              items:
                type: string
              minItems: 0
              maxItems: 0
              additionalItems: false
        location_types:
          type: string
        sku:
          type: string
        external_id:
          type: string
        barcode:
          type: string
        web_url:
          type: string
        handle:
          type: string
        title:
          type: string
        description:
          type: string
        position:
          type: string
        price:
          type: string
        price_discounted:
          type: string
        price_comparison:
          type: string
        price_cost:
          type: string
        available_quantity:
          type: string
        images:
          type: string
        meta:
          type: string
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        options:
          type: array
          items:
            $ref: '#/components/schemas/ProductOption'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - count
        - refund_qty
        - purchase_qty
        - latest_transacted_at
        - product_id
        - product
        - location_types
        - sku
        - external_id
        - barcode
        - web_url
        - handle
        - title
        - description
        - position
        - price
        - price_discounted
        - price_comparison
        - price_cost
        - available_quantity
        - images
        - meta
        - tags
        - options
        - created_at
        - updated_at
      title: TransactionProductVariant
    Tag:
      type: string
      title: Tag
    ProductOption:
      type: object
      properties:
        name:
          type: string
        value:
          type: string
        sort_order:
          type:
            - integer
            - 'null'
      required:
        - name
        - value
        - sort_order
      title: ProductOption
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````